org.apache.struts2.config_browser

## Class ShowJarsAction

- java.lang.Object
- - org.apache.struts2.ActionSupport
  - - com.opensymphony.xwork2.ActionSupport
    - - org.apache.struts2.config_browser.ActionNamesAction
      - - org.apache.struts2.config_browser.ShowJarsAction

- All Implemented Interfaces:
    LocaleProvider, TextProvider, Serializable, Action, ValidationAware, Validateable

      public class ShowJarsAction
      extends ActionNamesAction

  Shows all constants as loaded by Struts
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.opensymphony.xwork2.interceptor.ValidationAware

      `ValidationAware.LegacyAdapter`

  - ### Field Summary

    - ### Fields inherited from class org.apache.struts2.config_browser.ActionNamesAction

      `configHelper`

    - ### Fields inherited from class org.apache.struts2.ActionSupport

      `container`

    - ### Fields inherited from interface org.apache.struts2.action.Action

      `ERROR, INPUT, LOGIN, NONE, SUCCESS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShowJarsAction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Properties>` | `getJarPoms()`
    `Iterator<URL>` | `getPluginsLoaded()`

    - ### Methods inherited from class org.apache.struts2.config_browser.ActionNamesAction

      `execute, getActionNames, getConfig, getExtension, getNamespace, getNamespaces, index, redirect, setConfigurationHelper, setExtension, setNamespace`

    - ### Methods inherited from class org.apache.struts2.ActionSupport

      `addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, getActionErrors, getActionMessages, getContainer, getFieldErrors, getFormatted, getLocale, getLocaleProvider, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTextProvider, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, isValidLocale, isValidLocaleString, pause, setActionErrors, setActionMessages, setContainer, setFieldErrors, toLocale, validate`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.struts2.Validateable

      `validate`

    - ### Methods inherited from interface com.opensymphony.xwork2.interceptor.ValidationAware

      `adapt`

    - ### Methods inherited from interface org.apache.struts2.interceptor.ValidationAware

      `addActionError, addActionMessage, addFieldError, getActionErrors, getActionMessages, getFieldErrors, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, setActionErrors, setActionMessages, setFieldErrors`

- - ### Constructor Detail

    - #### ShowJarsAction

          public ShowJarsAction()

  - ### Method Detail

    - #### getJarPoms

          public List<Properties> getJarPoms()

    - #### getPluginsLoaded

          public Iterator<URL> getPluginsLoaded()

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.